%define name    aqsis
%define version 1.0.0
%define release 3mdk
%define lib_name_orig libaqsis
%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}

Summary:	Aqsis rendering system
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:	GPL
Url:		http://www.aqsis.com/
Group:		Graphics
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	%{lib_name} = %{version}
BuildRequires:	liblog4cpp-devel
BuildRequires:	libMesaGLU-devel
BuildRequires:	libMesaglut-devel
BuildRequires:	tiff-devel
BuildRequires:	XFree86-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:  fltk-devel

%description
Tha Aqsis rendering system consists of a set of libraries and applications for
creating high-quality computer imagery using the Pixar RenderMan Interface.

%package -n %{lib_name}
Summary: Aqsis rendering system
License: GPL/LGPL
Group: System/Libraries

%description -n %{lib_name}
The Aqsis library.

%package -n %{lib_name}-devel
Summary: Aqsis rendering system
License: GPL
Group: System/Libraries
Requires: %{lib_name} >= %{version}
Provides: libaqsis-devel = %{version}

%description -n %{lib_name}-devel
The Aqsis library developpement files.

%prep
%setup -q
#./bootstrap
%configure --enable-plugins --with-pic

%build

%make pkgdatadir=%{_datadir}/aqsis0 pkglibdir=%{_libdir}/aqsis0 pkgincludedir=%{_includedir}/aqsis0

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall pkgdatadir=$RPM_BUILD_ROOT%{_datadir}/aqsis0 pkglibdir=$RPM_BUILD_ROOT%{_libdir}/aqsis0 pkgincludedir=$RPM_BUILD_ROOT%{_includedir}/aqsis0

#mv $RPM_BUILD_ROOT%{_libdir}/%{name}  $RPM_BUILD_ROOT%{_libdir}/%{name}%{lib_major}
#mv $RPM_BUILD_ROOT%{_datadir}/%{name}  $RPM_BUILD_ROOT%{_datadir}/%{name}%{lib_major}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
#%config(noreplace) %{_sysconfdir}/ddmsock.ini
%doc AUTHORS COPYING ChangeLog README ribfiles
%dir %{_datadir}/%{name}%{lib_major}
%dir %{_datadir}/%{name}%{lib_major}/shaders
%{_datadir}/%{name}%{lib_major}/shaders/*.slx
%{_datadir}/%{name}%{lib_major}/shaders/*.sl
%{_mandir}/man1/%{name}.1.bz2

%files -n %{lib_name}
%defattr(-,root,root)
%dir %{_libdir}/%{name}%{lib_major}
%{_libdir}/%{name}%{lib_major}/*.so*
#%{_libdir}/%{name}%{lib_major}/*.so.*
%{_libdir}/*.so.*
%{_libdir}/%{name}%{lib_major}/displays.ini

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/%{name}%{lib_major}/*.la
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_datadir}/%{name}%{lib_major}/shaders/*.h

%changelog
* Wed May 05 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-3mdk
- better fix for x86_64 build

* Wed May 04 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-2mdk
- fix x86_64 build (P1)

* Mon Jan 17 2005 Pascal Terjan <pterjan@mandrake.org> 1.0.0-1mdk
- 1.0.0

* Sun Jan 16 2005 Pascal Terjan <pterjan@mandrake.org> 0.9.3-1mdk
- 0.9.3
- BuildRequires fltk-devel

* Sat Sep  4 2004 Pascal Terjan <pterjan@mandrakesoft.com> 0.9.2-1mdk
- New release 0.9.2
- Drop patch 0 (fixed upstream)

* Tue Jun 08 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.1-2mdk
- GCC 3.4 fixes

* Thu Apr 08 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.1-1mdk
- 0.9.1

* Thu Jan 01 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.0-2mdk
- become owner of some dirs

* Mon Dec 15 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.9.0-1mdk
- 0.9.0
- Add it to mdk contribs

* Fri Oct 24 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.8.0-2thac
- Rebuilt for Mandrake 9.2

* Mon Sep 22 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.8.0-1thac
- Updated to latest version

* Tue Sep 16 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.19-1thac
- Updated to latest version

* Wed Aug 27 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.18-1thac
- Updated to latest version
- Changed naming to differ from Mandrake cooker
- Cleaned up spec file

* Mon Aug 18 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.16-1mdk
- Updated to latest version

* Sat Aug 02 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.14-1mdk
- Updated to latest version

* Mon Jul 28 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.13-1mdk
- Updated to latest version

* Mon Jun 23 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.12-1mdk
- Updated to latest version

* Wed Jun 04 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.11-1mdk
- Updated to latest version

* Sat May 31 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.10-1mdk
- Updated to latest version

* Sat May 17 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.9-1mdk
- Updated to latest version

* Sat May 03 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.6-2mdk
- Rebuilt with rpmmacro patch that removes nvidia dependency.

* Thu May 01 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.6-1mdk
- Recompiled for Mandrake 9.1

* Wed Apr 09 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.5-2mdk
- Recompiled for Mandrake 9.1

* Thu Mar 20 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.5-1mdk
- Updated to latest version

* Thu Mar 17 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.4-3mdk
- Cleaned up spec file even more

* Thu Mar 03 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.4-2mdk
- Cleaned up spec file

* Thu Mar 02 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.4-1mdk
- Updated to latest version

* Thu Feb 23 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.3-2mdk
- Cleaned up spec file.

* Thu Feb 20 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.3-1mdk
- Compiled for Mandrake 9.0
